#include <iostream>
#include <string>
 
using namespace std;
 
class Monster
{
public:
	string getName() { return name; };
	virtual void ruf() = 0;
	virtual		 ~Monster() {};
 
protected:
	string name;
};
 
class Slime : public Monster
{
public:
	Slime() { name = "Slime"; }
	void ruf() { cout << "slurp" << endl; }
};
 
class KingSlime : public Monster
{
public:
	KingSlime() { name = "kingslime"; }
	void ruf() { cout << "sluuurp" << endl; }
};
 
void Rufe(Monster &monster)
{
	cout << monster.getName() << ": ";
	monster.ruf();
	cout << endl;
}
 
int main()
{
	Slime slime;
	KingSlime kingslime;
 
	Rufe(slime);
	Rufe(kingslime);
 
	cin.get();
	return 0;
}